package intrinsic.mx.binding;

public class Watcher extends Object {

	/** Accessors */

	/** Variables */
	public Object value;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Watcher() {
}

public Watcher(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void updateParent(Object arg0);
public native void notifyListeners(boolean arg0);
public native void removeChildren(int arg0);
public native void updateChildren();
public native void addChild(intrinsic.mx.binding.Watcher arg0);

}
